 #ifndef _EPD_DRIVE_GPIO_H_
#define _EPD_DRIVE_GPIO_H_
#include <SPI.h>

/********************------------------------------------------------------------

Hardware interface
// MOSI is pin 8
// CSK is pin 11
------------------------------------------------------------------------------*/
//GPIO config

#define CS 12
#define EPD_CS_0	digitalWrite(CS,LOW)
#define EPD_CS_1	digitalWrite(CS,HIGH)
#define isEPD_CS  digitalRead(CS)

#define RST 9
#define EPD_RST_0	digitalWrite(RST,LOW)
#define EPD_RST_1	digitalWrite(RST,HIGH)
#define isEPD_RST digitalRead(RST)

#define DC 10
#define EPD_DC_0	digitalWrite (DC,LOW)
#define EPD_DC_1	digitalWrite (DC,HIGH)

#define BUSY 19
#define isEPD_BUSY digitalRead(BUSY)
#define EPD_BUSY_LEVEL 0

extern void mySPI_Write(unsigned char value);
extern void driver_delay_xms(unsigned long xms);
#endif
